altcha-widget {
    --altcha-border-width: 0;
    --altcha-max-width: 100%;
    --altcha-padding: 5px 0;
}

altcha-widget .altcha-main {
    padding: 5px 0 5px 2px !important;
}

altcha-widget input[type="checkbox"] {
    -webkit-appearance: none !important;
    appearance: none !important;
    width: 16px !important;
    height: 16px !important;
    padding: 8px !important;
    border-radius: 3px !important;
    border: 2px solid currentColor !important;
    background: transparent !important;
    box-sizing: border-box !important;
    margin: 0 !important;
    opacity: 1 !important;
    flex-shrink: 0;
    cursor: default;
    transition: background .25s;
    vertical-align: middle;
    color: inherit !important;
}

altcha-widget input[type="checkbox"]:checked {
    background-color: currentColor !important;
    background-image: none !important;
    border: none !important;
    -webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath fill='white' d='M9 16.17L4.83 12l-1.42 1.41L9 19 21 7l-1.41-1.41z'/%3E%3C/svg%3E") !important;
    mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath fill='white' d='M9 16.17L4.83 12l-1.42 1.41L9 19 21 7l-1.41-1.41z'/%3E%3C/svg%3E") !important;
    -webkit-mask-repeat: no-repeat !important;
    mask-repeat: no-repeat !important;
    -webkit-mask-position: center !important;
    mask-position: center !important;
    -webkit-mask-size: contain !important;
    mask-size: contain !important;
}

altcha-widget .altcha-checkbox-verifying input[type="checkbox"] {
    opacity: 0 !important;
    border: none !important;
}

altcha-widget .altcha-error {
    background: #ffffff !important;
    display: flex !important;
    flex-direction: row !important;
    border-radius: 8px !important;
    align-items: center !important;
    justify-content: flex-start !important;
    padding: 2px 0 !important;
    border: 1px solid #D0D0D0 !important;
    color: #000000 !important;
    margin: 0 !important;
    font-size: inherit !important;
    gap: 0 !important;
}

altcha-widget .altcha-error::before {
    content: "\e002";
    font-family: 'Material Symbols Outlined';
    display: block;
    margin: 0 12px;
    padding: 7px 0;
    font-size: 18.5px;
    line-height: 19px;
    color: rgb(238, 143, 0);
    flex-shrink: 0;
}

altcha-widget .altcha-error > svg {
    display: none !important;
}

altcha-widget .altcha-error span,
altcha-widget .altcha-error > :not(svg) {
    font-weight: bold;
}

.altcha-notice {
    all: unset;
    display: flex;
    align-items: center;
    gap: 6px;
    font-size: 14px;
    line-height: 1.4;
    color: inherit;
    margin-top: 10px;
    margin-bottom: 4px;
    padding-left: 5px;
}

.altcha-notice svg {
    flex-shrink: 0;
}
